/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

This program draws a ellipse inside the window.

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

void main(void)

  {

  int   Over;
  image window;

  vmode(vmLive);
  

  /* Take pictures */
  tpict();  
  
  /* Working Page */
  
  Over	= (int)OvlGetPhysPage;
  OvlSetLogPage (Over);
  
  OvlClearAll;
    
  /* Display pictures */
  ImageAssign(&window, OvlByteAddr(100,100),400,400,ScrGetPitch);  
  
  framed(&window, 128);
  markerd(&window, 16); 
  ellipsed(&window, 64);   
  
  /*set overlay colors*/
  set_overlay_bit(7, 255, 0, 0);
  set_overlay_bit(6, 0, 255, 0);
  set_overlay_bit(4, 0, 0, 255);  

  set_ovlmask(255);

  vmode(vmOvlLive);
  }

/*******************************************************************/



