/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

This program draws a ellipse inside the window.

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

void main(void)

  {
  int   Image;
  image window;

  vmode(vmLive);

  /* get the actual values for the screen */   
  Image   = (int)ScrGetPhysPage;
  ScrSetLogPage(Image);

  /* Take pictures */
  tpict();

  /* Display pictures */
  ImageAssign(&window, ScrByteAddr(100,100),400,400,ScrGetPitch);
  framed(&window, 128);
  markerd(&window, 64);
  ellipsed(&window, 32); 
  
  vmode(vmStill);
  }

/*******************************************************************/


